export type Show = {
  coreId: string;
  externalId: string;
  title: string;
  url: string;
  publisher: {
    coreId: string;
    dvbServiceId: number;
    title: string;
    url: string;
    organizationName: string;
    organization: {
      name: string;
      url: string;
    };
  };
  coreDocument: string;
};

export type Item = {
  assetId: string;
  url: string;
  title: string;
  description: string;
  published: string;
  updated: string;
  imagesList: { url: string; title: string }[];
  coreDocument: string;
  audioList: { title: string; audioCodec: string; href: string }[];
  show: Show;
};

export type EpisodeResponse = {
  item: Item;
};

export type ActivityPubOutbox = {
  "@context": string;
  id: string;
  type: string;
  orderedItems: ActivityPubNote[];
};

export type ActivityPubNote = {
  id: string;
  type: string;
  actor: string;
  published: string;
  to: string[];
  content: string;
  url: string;
};